package com.zcloud.mapper.datasource.curriculum;

import com.zcloud.entity.Page;
import com.zcloud.entity.PageData;

import java.util.List;

/**
 * 说明：课件课程中间表
 * 作者：luoxiaobao
 * 时间：2021-07-03
 * 官网：www.zcloudchina.com
 */
public interface KcmiddlekjMapper{

	/**新增
	 * @param pd
	 * @throws Exception
	 */
	void save(PageData pd);

	/**删除
	 * @param pd
	 * @throws Exception
	 */
	void delete(PageData pd);

	/**修改
	 * @param pd
	 * @throws Exception
	 */
	void edit(PageData pd);

	/**列表
	 * @param page
	 * @throws Exception
	 */
	List<PageData> datalistPage(Page page);

	/**列表(全部)
	 * @param pd
	 * @throws Exception
	 */
	List<PageData> listAll(PageData pd);

	/**通过id获取数据
	 * @param pd
	 * @throws Exception
	 */
	PageData findById(PageData pd);

	/**批量删除
	 * @param pd
	 * @throws Exception
	 */
	void deleteAll(PageData pd);

	/**列表(根据所选ID获取数据)
	 * @param pd
	 * @throws Exception
	 */
	List<PageData> findByIds(PageData pd);

	/**批量删除（根据所选课程id删除所选关系课件）
	 * @param pd
	 * @throws Exception
	 */
	void deleteByCurriculumIds(PageData pd);


	/**列表(根据课程ID获取数据)
	 * @param pd
	 * @throws Exception
	 */
	List<PageData> findByCurriculumId(PageData pd);

	/** 列表(根据课程ID获取习题数据)
	 * @param pd
	 * @return
	 */
	List<PageData> findForStudyByCurriculumId(PageData pd);


	/** 列表(根据课件ID获取习题数据)
	 * @param pd
	 * @return
	 */
    List<PageData> findForStudyByCoursewareId(PageData pd);
	/** 根据选择的课件id 获取习题信息
	 * @param pd
	 * @return
	 */
    List<PageData> findByCurriculumIds(PageData pd);	/** 根据选择的课件id 获取习题信息
	 * @param pd
	 * @return
	 */
	List<PageData> findClassHourByCurriculumIds(PageData pd);

	/**【app学习详细】（根据STUDYTASK_ID获取当前的任务下的相关课件）
	 * @param pd
	 */
	List<PageData> listAllByTask(PageData pd);
	/**批量删除
	 * @param pd
	 * @throws Exception
	 */
	void deleteByCURRICULUMID(PageData pd);

	String countByCourseWareId(PageData pageData);
}

